
###############################
## Common Alfresco Properties #
###############################

dir.root=/home/andreas/alfresco-community/alf_data

# Anpassungen für den reverse proxy
alfresco.context=alfresco
alfresco.host=hse.koecher.it
alfresco.port=80
alfresco.protocol=http

share.context=share
share.host=hse.koecher.it
share.port=443
share.protocol=https

### database connection properties ###
db.driver=org.postgresql.Driver
db.username=alfresco
db.password=q234mango
db.name=alfresco
db.url=jdbc:postgresql://localhost:5432/${db.name}
# Note: your database must also be able to accept at least this many connections.  Please see your database documentation for instructions on how to configure this.
db.pool.max=275
db.pool.validate.query=SELECT 1

# The server mode. Set value here
# UNKNOWN | TEST | BACKUP | PRODUCTION
system.serverMode=UNKNOWN

### FTP Server Configuration ###
ftp.enabled=true
ftp.port=2121

### RMI registry port for JMX ###
alfresco.rmi.services.port=50500

### External executable locations ###
ooo.exe=/home/andreas/alfresco-community/libreoffice/program/soffice.bin
ooo.enabled=true
ooo.port=8100
img.root=/home/andreas/alfresco-community/common
img.dyn=${img.root}/lib
img.exe=${img.root}/bin/convert

jodconverter.enabled=false
jodconverter.officeHome=/home/andreas/alfresco-community/libreoffice
jodconverter.portNumbers=8100

### Initial admin password ###
alfresco_user_store.adminpassword=f923b89feaa2921fe8c9625f183c4bfa

### E-Mail Einstellungen - forget about email ###
mail.host=mail.selfhost.de
mail.port=465
mail.username=alfresco@koecher.it
mail.password=tpRoT1onWXN2MAiC3JTC
mail.encoding=UTF-8
mail.from.default=alfresco@koecher.it
mail.smtp.starttls.enable=true
mail.protocol=smtps
mail.smtp.auth=true
#mail.smtp.debug=true

#mail.testmessage.send=true
#mail.testmesssge.to=andreas@koecher.it
#mail.testmessage.subject=Alfresco
#mail.testmessage.text=TestNachricht

### E-mail site invitation setting ###
notification.email.siteinvite=false

### License location ###
dir.license.external=/home/andreas/alfresco-community

### Solr indexing ###
index.subsystem.name=solr4
dir.keystore=${dir.root}/keystore
solr.host=localhost
solr.port.ssl=8443

### Allow extended ResultSet processing
security.anyDenyDenies=false

### Smart Folders Config Properties ###
smart.folders.enabled=false

### Remote JMX (Default: disabled) ###
alfresco.jmx.connector.enabled=false

# CIFS File Server Properties - nicht aktiviert, da root Rechte erforderlich oder firewall - filter für die Ports
cifs.enabled=false
#cifs.servername=alfresco
#cifs.domain=HEIMNETZ
#cifs.hostannounce=true
#cifs.tcpipSMB.port=1445
#cifs.netBIOSSMB.namePort=1137
#cifs.netBIOSSMB.datagramPort=1138
#cifs.netBIOSSMB.sessionPort=1139

### Simple OCR Action Properties
#	local	ocr program
# ocr.command zeigt auf ein Shell-Skript, damit die Python Umgebung richtig gesetzt wird.
ocr.command=/usr/local/bin/alfocr
ocr.output.verbose=true
ocr.output.file.prefix.command=
#	rotating, cleaning, languages…
ocr.extra.commands=--verbose 1 --force-ocr -l deu -c -d
ocr.server.os=linux

# AOS URL Overwrite
aos.baseUrlOverwrite=https://hse.koecher.it/alfresco/aos
